Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84460 - pear/DB/pgsql.php incompatible with postgresql 7.3
Summary: pear/DB/pgsql.php incompatible with postgresql 7.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-17 18:49 UTC by Marco Pratesi
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-03 11:46:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:204 normal SHIPPED_LIVE : Updated PHP packages are now available 2003-07-02 04:00:00 UTC

Description Marco Pratesi 2003-02-17 18:49:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021128

Description of problem:
The method modifyLimitQuery() does not work with postgresql 7.3,
as postgresql 7.3 does not support anymore the syntax "LIMIT #,#".
The problem would not be fixed upgrading to PHP 4.3.0.
To fix the problem, a patch from the CVS (fix done after the release
of PHP 4.3.0) is needed:
http://cvs.php.net/diff.php/pear/DB/DB/pgsql.php?login=2&r1=1.12&r2=1.13&ty=h

Marco Pratesi


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use the PEAR DB limitQuery() method with postgresql 7.3
2.
3.
    

Actual Results:  postgresql returns an error:
ERROR:  LIMIT #,# syntax not supported.
        Use separate LIMIT and OFFSET clauses.

Expected Results:  The modifyLimitQuery() method should prepare for the postgresql
backend a query using separate LIMIT and OFFSET clauses.

Additional info:

Comment 1 Joe Orton 2003-06-12 21:32:02 UTC
Thanks for the report, this will be fixed in the next erratum.

Comment 2 Joe Orton 2003-07-03 11:46:46 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-204.html



Note You need to log in before you can comment on or make changes to this bug.